ConstantLong (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.classfile.ConstantLong class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class ConstantLong

    java.lang.Object
      org.apache.bcel.classfile.Constant
          org.apache.bcel.classfile.ConstantLong

All Implemented Interfaces:
  Serializable, Cloneable, ConstantObject, Node

    public final class ConstantLong

extends Constant
implements ConstantObject

This class is derived from the abstract Constant class and represents a reference to a long object.

Version:
  $Id: ConstantLong.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantLong(ConstantLong c)` Initialize from another object.
`ConstantLong(long bytes)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` | `dump(DataOutputStream file)` Dump constant long to file stream in binary format.
`long` | `getBytes()`
`Object` | `getConstantValue(ConstantPool cp)`
`void` | `setBytes(long bytes)`
`String` | `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, equals, getComparator, getTag, hashCode, setComparator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantLong

    public ConstantLong(long bytes)

Parameters:
  `bytes` - Data

### ConstantLong

    public ConstantLong(ConstantLong c)

  Initialize from another object.

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump constant long to file stream in binary format.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### getBytes

    public final long getBytes()

  Returns:
    data, i.e., 8 bytes.

### setBytes

    public final void setBytes(long bytes)

  Parameters:
    `bytes` - thr raw bytes that represent this long

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation.

### getConstantValue

    public Object getConstantValue(ConstantPool cp)

  Specified by:
    `getConstantValue` in interface `ConstantObject`
  Returns:
    Long object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.